#  My first run with nix. The config is based on Matthias Benaets config and youtube tutorial
#  https://github.com/MatthiasBenaets/nixos-config
#  https://www.youtube.com/watch?v=AGVXJ-TIv3Y
#
#  flake.nix *             
#   ├─ ./hosts
#   │   └─ default.nix

{
  description = "Kabbone's peronal NixOS Flake config";

  inputs =                                                                  # All flake references used to build my NixOS setup. These are dependencies.
    {
      nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";                  # Nix Packages

      home-manager = {                                                      # User Package Management
        url = "github:nix-community/home-manager";
        inputs.nixpkgs.follows = "nixpkgs";
      };

      nur = {
        url = "github:nix-community/NUR";                                   # NUR Packages
      };

      hyprland = {                                                          # Official Hyprland flake
        url = "github:vaxerski/Hyprland";
        inputs.nixpkgs.follows = "nixpkgs";
      };
    };

  outputs = inputs @ { self, nixpkgs, home-manager, nur, hyprland, ... }:   # Function that tells my flake which to use and what do what to do with the dependencies.
    let                                                                     # Variables that can be used in the config files
      user = "kabbone";
      location = "$HOME/.setup";
    in                                                                      # Use above variables in ...
    {
      nixosConfigurations = (                                               # NixOS configurations
        import ./hosts {                                                    # Imports ./hosts/default.nix
          inherit (nixpkgs) lib;
          inherit inputs nixpkgs home-manager nur user location hyprland;   # Also inherit home-manager so it does not need to be defined here.
        }
      );
    };
}
